import apiUrl from './api.js'
import request from '@/utils/request'
const getTransfer = (param)=>{ 
	return request({
	    url: apiUrl.getTransferList,
	    method: 'get',
	    params: param
	})
}
const toTrensfer = (param)=>{
	return request({
	    url: apiUrl.toTreansfer,
	    method: 'post',
	    data: param
	})
}
const closeSession = (param)=>{
	return request({
	    url: apiUrl.closeTake,
	    method: 'put',
	    data: param
	})
}
const checkDevices = (param)=>{
	return request({
	    url: apiUrl.checkDevices+param,
	    method: 'get',
	})
}
const customersessionInfo = (param)=>{
	return request({
	    url: apiUrl.customersessionInfo,
	    method: 'get',
	    params: param
	})
}
const customerConversation = (param)=>{
	return request({
	    url: apiUrl.customerConversation,
	    method: 'get',
	    params: param
	})
}
const changeCustomerStatus = (param)=>{
	return request({
	    url: apiUrl.changeCustomerStatus,
	    method: 'post',
	    data: param
	})
}
export  default {
	getTransfer,
	customerConversation,
	toTrensfer,
	changeCustomerStatus,
	closeSession,
	customersessionInfo,
	checkDevices
}